Автор Тема: Каких пакетов не хватает в Sisyphus  (Прочитано 269476 раз)

Оффлайн hunkdvj

  • Начинающий
  • *
  • Сообщений: 1
    • Email
Re: Каких пакетов не хватает в Sisyphus
« Ответ #885 : 10.01.2021 10:35:02 »
С Новым Годом всех!

Очень не хватает пакета qt5-styleplugins

Использую в основном Cinnamon и темные темы, так как очень много работаю за компом.
Qt-шные проги не подхватывают gtk темы, остаются светлыми.
В Сизифе есть QGtkStyle, но он работает только для qt4.
Есть еще такая штука как QGnomePlatform, но, видимо, надо использовать чистый гном, под корицей не работает.

Оффлайн tarasov-it1

  • Давно тут
  • **
  • Сообщений: 56
Re: Каких пакетов не хватает в Sisyphus
« Ответ #886 : 27.05.2021 15:23:11 »
Chrome Remote Desktop https://remotedesktop.google.com/
Пытался перепаковать пакет из Федоры - получил ошибку, см. https://forum.altlinux.org/index.php?topic=45001.0
Для многих очень нужный пакет, у астровцев работает.

Оффлайн gosts 87

  • Завсегдатай
  • *
  • Сообщений: 1 342
  • Дмитрий/Dmitry/德米特里/दिमित्री
Re: Каких пакетов не хватает в Sisyphus
« Ответ #887 : 04.06.2021 20:09:39 »
fcitx-config-gtk3. Без этого пакета не настраивается метод ввода fcitx в графическом режиме. Насколько помню во времена "Восьмой платформы" этот пакет присутствовал в репозиториях.

Оффлайн Koi

  • Мастер
  • ***
  • Сообщений: 1 891
  • валар дохаэрис
    • Канал на youtube
Re: Каких пакетов не хватает в Sisyphus
« Ответ #888 : 04.06.2021 20:23:42 »
fcitx-config-gtk3. Без этого пакета не настраивается метод ввода fcitx в графическом режиме. Насколько помню во времена "Восьмой платформы" этот пакет присутствовал в репозиториях.
Файлы этого пакета находятся у нас в пакете с названием: fcitx-configtool он есть в репках.

Оффлайн gosts 87

  • Завсегдатай
  • *
  • Сообщений: 1 342
  • Дмитрий/Dmitry/德米特里/दिमित्री
Re: Каких пакетов не хватает в Sisyphus
« Ответ #889 : 04.06.2021 20:28:12 »
Ясно. Спасибо!

Оффлайн gosts 87

  • Завсегдатай
  • *
  • Сообщений: 1 342
  • Дмитрий/Dmitry/德米特里/दिमित्री
Re: Каких пакетов не хватает в Sisyphus
« Ответ #890 : 04.06.2021 20:54:59 »
fcitx-configtool
Есть в Сизифе, но нет в p9.

Оффлайн KumurTash

  • Начинающий
  • *
  • Сообщений: 6
    • Email
Re: Каких пакетов не хватает в Sisyphus
« Ответ #891 : 04.11.2021 09:15:42 »
Не хватает Pencil2D

Оффлайн Skull

  • Глобальный модератор
  • *****
  • Сообщений: 19 107
    • Домашняя страница
    • Email
Re: Каких пакетов не хватает в Sisyphus
« Ответ #892 : 04.11.2021 13:46:58 »
Не хватает Pencil2D
Принято, соберу.
Андрей Черепанов (cas@)

Оффлайн KumurTash

  • Начинающий
  • *
  • Сообщений: 6
    • Email
Re: Каких пакетов не хватает в Sisyphus
« Ответ #893 : 05.11.2021 09:55:30 »
Принято, соберу.
Спасибо. Все работает.

Оффлайн stensilart

  • Начинающий
  • *
  • Сообщений: 6
Re: Каких пакетов не хватает в Sisyphus
« Ответ #894 : 03.01.2022 20:13:33 »
Просьба собрать для репозитория xfce4-docklike-plugin
https://github.com/nsz32/docklike-plugin
Качал вот отсюда: https://ftp.nluug.nl/pub/os/Linux/distr/pclinuxos/pclinuxos/apt/pclinuxos/64bit/RPMS.xfce4/xfce4-docklike-plugin-0.1-1pclos2020.x86_64.rpm
Правда версия старая, но работает. Проверено.

Оффлайн VyacheslavS86

  • Начинающий
  • *
  • Сообщений: 2
Re: Каких пакетов не хватает в Sisyphus
« Ответ #895 : 06.03.2022 23:41:33 »
java 17 и maven repository

вдруг интернет отрубят из-за санкций!

Оффлайн yaleks

  • Мастер
  • ***
  • Сообщений: 6 101
Re: Каких пакетов не хватает в Sisyphus
« Ответ #896 : 07.03.2022 11:52:57 »
java 17 и maven repository

вдруг интернет отрубят из-за санкций!
по опыту Северной Кореи, специально обученные люди обычно вытаскивают нужное из Интернета и размещают во "внутренней сети" (проверив на отсутствие крамолы и даже делают перевод с английского)  :-t

Оффлайн YYY

  • Мастер
  • ***
  • Сообщений: 5 760
Re: Каких пакетов не хватает в Sisyphus
« Ответ #897 : 07.03.2022 13:09:35 »
по опыту Северной Кореи

не пугайте меня  :-o


Оффлайн viacheslav

  • Завсегдатай
  • *
  • Сообщений: 68
    • Email
Re: Каких пакетов не хватает в Sisyphus
« Ответ #898 : 09.03.2022 22:50:23 »
Psyphon redsocks и прочее потребное для VPN. Теперь более актуально в связи с разгулом цензуры.

Оффлайн viacheslav

  • Завсегдатай
  • *
  • Сообщений: 68
    • Email
Re: Каких пакетов не хватает в Sisyphus
« Ответ #899 : 10.03.2022 10:02:47 »
Вот spec для protonvpn-cli. Адаптировано из федоры:

%global         github_name linux-cli
%global         srcname protonvpn_cli

Name: protonvpn-cli
Version: 2.2.6
Release: 1%{?dist}

Summary: Linux command-line client for ProtonVPN written in Python
License: GPLv3
Group: Security/Networking

Url: https://github.com/ProtonVPN/%github_name
Source: %url/archive/v%version/%github_name-%version.tar.gz

BuildArch: noarch

# Automatically added by buildreq on Thu Mar 10 2022
# optimized out: libgpg-error python-modules python2-base python3 python3-base python3-dev python3-module-pkg_resources sh4 tzdata
BuildRequires: python3-module-mpl_toolkits python3-module-setuptools python3-module-zope
BuildRequires: python3 python3-devel
Requires: python3-module-docopt python3-module-dialog
Requires: openvpn dialog
#Recommends: NetworkManager-openvpn

%description
The official Linux CLI for ProtonVPN.

ProtonVPN-CLI is a full rewrite of the bash protonvpn-cli in Python, which adds
more features and functionality with the purpose of improving readability,
speed and reliability.

ProtonVPN-CLI features a DNS Leak Protection feature, which makes sure that
your online traffic uses ProtonVPN's DNS Servers. This prevents third parties
(like your ISP) from being able to see your DNS queries (and, therefore, your
browsing history).

%prep
%setup -n %github_name-%version

%build
%python3_build

%install
%python3_install

%files
%doc README.md
%python3_sitelibdir/%srcname-*.egg-info/
%python3_sitelibdir/%srcname/
%_bindir/protonvpn

%changelog